# Ogre::MouseListener Class Reference

Specialised EventListener for discrete mouse events. More...

`#include <OgreEventListeners.h>`

Inheritance diagram for Ogre::MouseListener:

List of all members.

## Public Member Functions

virtual void | mouseClicked (MouseEvent *e)=0
| Invoked when the mouse has been clicked on a component.
virtual void | mouseEntered (MouseEvent *e)=0
| Invoked when the mouse enters a component.
virtual void | mouseExited (MouseEvent *e)=0
| Invoked when the mouse exits a component.
virtual void | mousePressed (MouseEvent *e)=0
| Invoked when a mouse button has been pressed on a component.
virtual void | mouseReleased (MouseEvent *e)=0
| Invoked when a mouse button has been released on a component.
virtual void | mouseDragEntered (MouseEvent *e)
virtual void | mouseDragExited (MouseEvent *e)
virtual void | mouseDragDropped (MouseEvent *e)

## Detailed Description

Specialised EventListener for discrete mouse events.

Remarks:
  This excludes mouse motion (this is not a discrete event), see MouseMotionListener for that.

Definition at line 64 of file OgreEventListeners.h.

## Member Function Documentation

virtual void Ogre::MouseListener::mouseClicked | ( | MouseEvent * | e | ) | `[pure virtual]`

| Invoked when the mouse has been clicked on a component.

virtual void Ogre::MouseListener::mouseDragDropped | ( | MouseEvent * | e | ) | `[virtual]`

| Definition at line 91 of file OgreEventListeners.h.

virtual void Ogre::MouseListener::mouseDragEntered | ( | MouseEvent * | e | ) | `[virtual]`

| Definition at line 89 of file OgreEventListeners.h.

virtual void Ogre::MouseListener::mouseDragExited | ( | MouseEvent * | e | ) | `[virtual]`

| Definition at line 90 of file OgreEventListeners.h.

virtual void Ogre::MouseListener::mouseEntered | ( | MouseEvent * | e | ) | `[pure virtual]`

| Invoked when the mouse enters a component.

virtual void Ogre::MouseListener::mouseExited | ( | MouseEvent * | e | ) | `[pure virtual]`

| Invoked when the mouse exits a component.

virtual void Ogre::MouseListener::mousePressed | ( | MouseEvent * | e | ) | `[pure virtual]`

| Invoked when a mouse button has been pressed on a component.

virtual void Ogre::MouseListener::mouseReleased | ( | MouseEvent * | e | ) | `[pure virtual]`

| Invoked when a mouse button has been released on a component.

The documentation for this class was generated from the following file:

- OgreEventListeners.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Feb 12 13:00:25 2006